package utils

import (
	"database/sql"

	"github.com/astaxie/beego"
	// import mysql
	_ "github.com/go-sql-driver/mysql"
)

var (
	db  *sql.DB
	err error
)

// NewPayConn is 连接支付库
func NewPayConn() (*sql.DB, error) {
	if db == nil {
		db, err = sql.Open("mysql", beego.AppConfig.String("PayURL"))
		return db, err
	}
	return db, nil
}

// GetResultRow is 获取返回值， 获取一条
//func GetResultRow(rows *sql.Rows) map[string]string {
//	columns, _ := rows.Columns()
//	scanArgs := make([]interface{}, len(columns))
//	values := make([][]byte, len(columns))
//	for j := range values {
//		scanArgs[j] = &values[j]
//	}
//	record := make(map[string]string)
//	for rows.Next() {
//		rows.Scan(scanArgs...)
//		for i, v := range values {
//			if v != nil {
//				record[columns[i]] = string(v)
//			}
//		}
//	}
//	return record
//}

// GetResultRows is 获取所有
//func GetResultRows(rows *sql.Rows) map[int]map[string]string {
//	columns, _ := rows.Columns()
//	values := make([][]byte, len(columns))
//	scans := make([]interface{}, len(columns))
//	for k, _ := range values {
//		scans[k] = &values[k]
//	}
//	i := 0
//	result := make(map[int]map[string]string)
//	for rows.Next() {
//		rows.Scan(scans...)
//		row := make(map[string]string)
//		for k, v := range values {
//			key := columns[k]
//			row[key] = string(v)
//		}
//		result[i] = row
//		i++
//	}
//	return result
//}

// CloseTx is 有错误则关闭事务、没错则提交事务
func CloseTx(tx *sql.Tx, err error) {
	if err != nil {
		tx.Rollback()
	}
	tx.Commit()
}
